Belgelere geç
API

Bir konuşmanın notlarını sırala

Her not, ilkinden sonuncusuna.

POST/threads/{id}/notes/reorder

Gerçek çağrıyı çalışma alanınızda çalıştırır.

POST /threads/{id}/notes/reorder

Her not, ilkinden sonuncusuna.

Örnek

threads:write gerektirir. ids konuşmadaki her notu istediğiniz sırayla tam bir kez sayar. Sabitlenen notlar yine önce gelir. Notları yeni sıralarıyla döndürür.

curl
curl -X POST "$OE/threads/thr_7c1e4a90/notes/reorder" -H "$AUTH" -H "Content-Type: application/json" \  -d '{ "ids": ["b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d", "0f6e2a1b-9c8d-4e7f-a1b2-c3d4e5f6a7b8"] }'
Yanıt
{  "object": "list",  "data": [{      "object": "note",      "id": "b3d1f0c2-7a4e-4f7b-9c1d-2e8f6a5b4c3d",      "threadId": "thr_7c1e4a90",      "content": "Waiting on the signed contract before replying.",      "color": "yellow",      "pinned": true,      "order": 4,      "createdAt": "2026-09-30T09:12:44.000Z",      "updatedAt": "2026-09-30T09:12:44.000Z"    }]}

Bir notu atlayan, birini iki kez sayan ya da başka bir konuşmanın notunu sayan liste ids üzerinde 422 invalid_parameter olur ve hiçbir şey yer değiştirmez.

Referans